Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 604576 - dev-util/radare2-1.1.0 with dev-libs/openssl-1.1.0c - undefined reference to `SSL_library_init'
Summary: dev-util/radare2-1.1.0 with dev-libs/openssl-1.1.0c - undefined reference to ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sergei Trofimovich
URL: https://github.com/radare/radare2/pul...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2017-01-03 22:26 UTC by eroen
Modified: 2018-10-24 16:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-util/radare2-1.1.0:20170103-220705.log (radare2-1.1.0:20170103-220705.log,972.18 KB, text/plain)
2017-01-03 22:26 UTC, eroen
Details
0001-Disable-deprecated-initialization-for-openssl-1.1.0.patch (0001-Disable-deprecated-initialization-for-openssl-1.1.0.patch,982 bytes, patch)
2017-01-03 22:39 UTC, eroen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2017-01-03 22:26:30 UTC
Created attachment 458614 [details]
dev-util/radare2-1.1.0:20170103-220705.log

x86_64-pc-linux-gnu-gcc -O0 -g -O0 -g -O0 -g -MD -O0 -g -MD   -fPIC -g -Wall -D__UNIX__=1 -O0 -g -MD   -fPIC -g -Wall  -D__UNIX__=1 -I/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/../shlr/zip/include -pie -I/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/..//libr/include  -I/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/../shlr/zip/include rabin2.o -L.. -o rabin2 -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -ldl    -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/magic -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/core -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/bin -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/egg -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/cons -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/config -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/io -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/flag -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/asm -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/debug -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/hash -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/lang -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/anal -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/parse -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/bp -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/reg -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/search -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/syscall -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/socket -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/fs -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/magic -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/crypto -L/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/util -lr_magic -lr_core -lr_bin -lr_egg -lr_cons -lr_config -lr_io -lr_flag -lr_asm -lr_debug -lr_hash -lr_lang -lr_anal -lr_parse -lr_bp -lr_reg -lr_search -lr_syscall -lr_socket -lr_fs -lr_magic -lr_crypto -lr_util -fPIC /var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/../shlr/zip/librz.a /var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/../shlr/zip/librz.a ../../shlr/gdb/lib/libgdbr.a ../../shlr/bochs/lib/libbochs.a ../../shlr/qnx/lib/libqnxr.a -lssl -lcrypto -lutil
/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/socket/libr_socket.so: undefined reference to `SSL_library_init'
/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/libr/socket/libr_socket.so: undefined reference to `SSL_load_error_strings'
collect2: error: ld returned 1 exit status
make[2]: *** [../rules.mk:76: rabin2] Error 1
make[2]: Leaving directory '/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/binr/rabin2'
make[1]: *** [Makefile:14: all] Error 1
make[1]: Leaving directory '/var/tmp/portage/dev-util/radare2-1.1.0/work/radare2-1.1.0/binr'
make: *** [Makefile:52: all] Error 2
 * ERROR: dev-util/radare2-1.1.0::gentoo failed (compile phase):
 *   emake failed
Comment 1 eroen 2017-01-03 22:39:35 UTC
Created attachment 458618 [details, diff]
0001-Disable-deprecated-initialization-for-openssl-1.1.0.patch

I have submitted a patch upstream[0], it can be applied in the ebuild for radare2-1.1.0.

0: https://github.com/radare/radare2/pull/6423
Comment 2 Sergei Trofimovich gentoo-dev 2017-01-11 11:12:35 UTC
Pushed as: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7eaff6c31b22e5345e03702148ef52866c8ba283

Thank you!